<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>se.softstuff.nb.translator</groupId>
        <artifactId>nb-translator</artifactId>  
        <version>2.0-SNAPSHOT</version>
    </parent>
	
    <groupId>se.softstuff.nb.translator</groupId>
    <artifactId>openide.util.editable</artifactId>
    <packaging>nbm</packaging>

    <name>openide.util.editable</name>
    
    <dependencies>
        <dependency>
            <groupId>org.netbeans.api</groupId>
            <artifactId>org-openide-util</artifactId>
            <version>${platform.version}</version>
            <type>nbm</type>
        </dependency>
        <dependency>
            <groupId>org.netbeans.api</groupId>
            <artifactId>org-openide-util-lookup</artifactId>
            <version>${platform.version}</version>
            <type>nbm</type>
        </dependency>
        <dependency>
            <groupId>org.netbeans.api</groupId>
            <artifactId>org-netbeans-modules-nbjunit</artifactId>
            <version>${platform.version}</version>
            <scope>test</scope>
            <type>nbm</type>
        </dependency>
        <dependency>
            <groupId>org.netbeans.modules</groupId>
            <artifactId>org-netbeans-insane</artifactId>
            <version>${platform.version}</version>
            <scope>test</scope>
            <type>nbm</type>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>nbm-maven-plugin</artifactId>
                <extensions>true</extensions>
                <configuration>
                    <publicPackages>
                        <publicPackage>org.openide.util.editable</publicPackage>
                    </publicPackages>
                </configuration>
            </plugin>

            <plugin>
                <!-- NetBeans 6.9+ requires JDK 6 -->
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>2.5.1</version>
                <configuration>
                    <source>1.6</source>
                    <target>1.6</target>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>2.4</version>
                <configuration>
                    <!-- to have the jar plugin pickup the nbm generated manifest -->
                    <useDefaultManifestFile>true</useDefaultManifestFile>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <properties>
        <netbeans.run.params.ide/>
        <netbeans.run.params>${netbeans.run.params.ide}</netbeans.run.params>
    </properties>
</project>
